{
  "C_Cpp.default.compileCommands": "${workspaceFolder}/build/compile_commands.json",
  "C_Cpp.default.configurationProvider": "espressif.esp-idf-extension",
  "C_Cpp.intelliSenseEngine": "disabled",
  "idf.extensionActivationMode": "always",
  "idf.openOcdConfigs": [
    "board/esp32s3-builtin.cfg"
  ],
  "idf.portWin": "COM14",
  "idf.currentSetup": "D:\\esp\\v5.5.4\\esp-idf",
  "idf.buildPath": "D:\\esp\\Project\\lcd\\lcd\\build",
  "idf.pythonInstallPath": "C:\\Espressif\\tools\\python\\python.exe",
  "idf.toolsPathWin": "C:\\Espressif\\tools",
  "idf.customExtraVars": {
    "IDF_TARGET": "esp32s3"
  },
  "clangd.path": "C:\\Espressif\\tools\\esp-clang\\esp-19.1.2_20250312\\esp-clang\\bin\\clangd.exe",
  "clangd.arguments": [
    "--background-index",
    "--query-driver=**",
    "--compile-commands-dir=d:\\esp\\Project\\lcd\\lcd\\build"
  ],
  "idf.flashType": "JTAG"
}
